import httputils from "@/api/httputils";

// 设备设施-根据图片类型统计图片数量
export function querySystemCount({ getParams }) {
    return httputils.getJson(`/data/sms_proimgup/querySystemCount`, getParams);
}
// 查询图片  (项目概况图片/设备设施原理图/位置分布图/分水器支路分布明细/示意图/库房管理图)
export function querySystemImage({ getParams }) {
    return httputils.getJson(`/data/sms_proimgup/query`, getParams);
}
// TODO: 土建立面图 路径修改
// 查询土建系统 建筑图
export function querySystemTuJianImage({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_proimgup/query`, data, postParams);
}
export function querySystemCard({ getParams }) {
    return httputils.getJson(`/data/home/querySystemCard`, getParams);
}

// 设备设施-主要设备清单
export function queryStatistics({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_asset/queryStatistics`, data, postParams);
}
// 设备设施-主要设备清单-详情
export function queryEquipmentList({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_asset/query`, data, postParams);
}
// 设备设施-主要设备清单类型
export function queryAssetClass({ getParams }) {
    // return httputils.getJson(`/data/base/queryClassStructureBySmsxt`, getParams)
    return httputils.getJson(`/data/sms_asset/queryAssetClass`, getParams);
}

// 设备设施-楼层电井口（间）控制商铺范围清单
export function queryShops({ getParams }) {
    return httputils.getJson(`/data/sms_shops/query`, getParams);
}
// 设备设施-楼层电井口（间）控制商铺范围清单 特色电井控制商铺
// 添加商铺信息，增加按商铺名称搜索
export function queryBrand({ getParams }) {
    return httputils.getJson(`/data/sms_shops/queryBrand`, getParams);
}
// 查询机房平面布置图数量
export function queryRoomCount({ getParams }) {
    return httputils.getJson(`/data/sms_location/queryCount`, getParams);
}
// 设备设施- 机房平面布置图列表
export function querySmsLocation({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_location/query`, data, postParams);
}
// 设备设施 - 查询配电室低压柜
export function queryDygjcx({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_location/queryDygjcx`, data, postParams);
}
// 设备设施 - 查询低压出线柜明细
export function queryDygjcxline({ getParams }) {
    return httputils.getJson(`/data/sms_dygjcxline/queryDygjcxline`, getParams);
}
// 查询更多主要设备 --废弃
export function queryMoreAsset({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_asset/queryAsset`, data, postParams);
}
// 查询更多设备卡片
export function queryMoreSystemCard({ getParams }) {
    return httputils.getJson(`/data/sms_asset/moreSystemCard`, getParams);
}
